0

I am trying to compile thunar 1.8.4.

It is giving me this error.

configure: error: X Window system libraries and header files are required

Ubuntu Mate 18.04

1
  • Did you install the dependencies listed in the README? I would have expected X Window development files to have been installed as dependencies of the required GTK+ development package Mar 1, 2019 at 0:38

1 Answer 1

1

You do not need to install all dependencies of Thunar manually.
You should use the power of APT to get the dependencies:

sudo apt-get build-dep thunar

along with new dependencies of the 1.8.4-1 source code package for upcoming disco:

sudo apt-get install libexo-2-dev libgtk-3-dev libxfce4panel-2.0-dev libxfce4ui-2-dev

and then compile and install it with checkinstall make install.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.